Page MenuHomePhabricator

Improve the help dialogue for users of edit conflict
Closed, ResolvedPublic

Description

IMPORTANT: This is the version of the help dialogue as it should look like once all stories happened. This ticket is based on the assumption that T163886: Adapt help dialogue to moment of beta deploy already happened.

Below is a decription of all screens of the helptext of the two-col-conflict extension. Please keep the ordering of image/text above each other as is.

All images can be found here
For a better understanding of the image:text relationship, I put the LTR images here as well.

Screen1
Image:

Text: stays the same

Screen2
Image:


Text:stays the same

Screen3
Image:

Text:
stays the same

Screen4
Image:

Text:

The second column is an editor. When the page is opened, there is a selection box on top of the editor. It lets you decide which version should be in the editor. This is often the version where more changes were made.

Screen5
Image:


Text:

Copy and paste the desired parts of the other version into the text in the editor. Only what is in the editor will be published, when you click the "Publish changes" button.

Help manual
Please update the usage part of the manual as well:
https://www.mediawiki.org/wiki/Help:Two_Column_Edit_Conflict_View/en

Use the same images and text.
Only for the first screen, please use the following text:

Whenever an edit conflict happens, the new page for conflict resolution will appear. It is split into two columns: The first shows the conflicting changes and the second column is a text editor, whose content will be saved.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2017, 1:55 PM
Lea_WMDE changed the task status from Open to Stalled.Apr 12 2017, 2:48 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Apr 20 2017, 9:22 PM

still stalled as last feedback is gathered.

@Charlie_WMDE @Lea_WMDE : some images seem to be broken – I can’t see 1 and 4; Also the link to all images (2nd line) is missing – could you fix that?

Lea_WMDE updated the task description. (Show Details)Apr 21 2017, 3:27 PM
Lea_WMDE updated the task description. (Show Details)Apr 21 2017, 3:47 PM
Lea_WMDE updated the task description. (Show Details)Apr 21 2017, 5:32 PM
Lea_WMDE changed the task status from Stalled to Open.Apr 24 2017, 7:03 AM
Lea_WMDE triaged this task as High priority.
Lea_WMDE moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Apr 24 2017, 7:41 AM
Lea_WMDE updated the task description. (Show Details)Apr 26 2017, 1:29 PM
Lea_WMDE updated the task description. (Show Details)Apr 26 2017, 3:26 PM
WMDE-Fisch moved this task from Todo to Sprint ready on the WMDE-QWERTY-Team board.

@Charlie_WMDE @Lea_WMDE : some images seem to be broken – I can’t see 1 and 4; Also the link to all images (2nd line) is missing – could you fix that?

For me they're not broken. Could you post a screenshot of how it loks for you so I can have a look into it?

Change 351314 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Improve help dialog and adapt to newest features

https://gerrit.wikimedia.org/r/351314

As a result of reviewing this I filed T164346 and T164347

Change 351314 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Improve help dialog and adapt to newest features

https://gerrit.wikimedia.org/r/351314

Lea_WMDE updated the task description. (Show Details)May 8 2017, 12:54 PM

changed wording to reduce work for translators - sorry @WMDE-Fisch :/

Addshore closed this task as Resolved.May 11 2017, 8:49 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 2:54 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 6 2017, 2:54 PM